# Interface methods for submodule: VotingBinaryIterativeHoleFillingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: VotingBinaryIterativeHoleFillingImageFilter
class VotingBinaryIterativeHoleFillingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMaximumNumberOfIterations(self) -> int:
		""""""
		...

	def SetMaximumNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetCurrentNumberOfIterations(self) -> int:
		""""""
		...

	def SetCurrentNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def SetRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def GetForegroundValue(self) -> int:
		""""""
		...

	def GetMajorityThreshold(self) -> int:
		""""""
		...

	def SetMajorityThreshold(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfPixelsChanged(self) -> int:
		""""""
		...

